Page 1 of 1

All extensions disabled (fix available!)

Posted: Sat May 04, 2019 5:45 pm
by Dreamer
Almost all Firefox extensions have been disabled in Avant, even Adblock Plus and uBlock Origin, they have been moved to "Unsupported".

When I tried to right click and select "Find updates", it just blinks and nothing happened.
When I try to manually download the latest update, error message is shown "Download failed. Please check your connection."

I tried to restart Avant, still the same.

Is this the end of Avant? It's unusable without ad blocker and I miss some other extensions.

Re: All extensions disabled

Posted: Sun May 05, 2019 1:04 am
by Nederpietos
I'm using Ublock origin all the time with Avant 2018 b7 and the firefox engine and it works fine.

You should remove all those non working extensions first and then google the site from where you can install the new extension.
For Ublock origin for example you should visit https://addons.mozilla.org/firefox/addon/ublock-origin/ with the firefox engine enabled, and then you probably can install it. But first remove the old one.

Adblock Plus (You better use Ublock origin) https://addons.mozilla.org/firefox/addon/adblock-plus/
Firegestures: https://addons.mozilla.org/firefox/addon/foxy-gestures/
Video DownloadHelper: https://addons.mozilla.org/firefox/addo ... oadhelper/
For Read aloud you maybe can use this replacement: https://addons.mozilla.org/firefox/addo ... ch-webext/

Re: All extensions disabled

Posted: Sun May 05, 2019 8:11 am
by Dreamer
Thanks, I'm using Avant 2018 build 7 USB, latest too, but as I said...
Dreamer wrote:
Sat May 04, 2019 5:45 pm
When I try to manually download the latest update, error message is shown "Download failed. Please check your connection."
avantffextScreenshot_05052019_094429.png
I found that it's a Firefox issue...

https://blog.mozilla.org/addons/2019/05 ... n-firefox/

I found a solution / workaround, switch this option to false:

xpinstall.signatures.required

Now all extensions work, so so...
avantffextScreenshot_05052019_095802.png

Anyway, I think lost Read Aloud for good. :( Is there any way to add it to Avant, manually?

I tried Text to Speech (TTS), but it doesn't work, same issue as above "Download failed. Please check your connection.", even with that workaround solution.

Re: All extensions disabled

Posted: Sun May 05, 2019 8:36 am
by Dreamer
Now I tried to use a button "Find a Replacement" for one extension and this message shown:

"This add-on requires a newer version of Firefox (at least version 63.0). You are using Firefox 62.0."

I think Avant will be unusable soon, without a Firefox engine update. :(

Re: All extensions disabled

Posted: Sun May 05, 2019 2:40 pm
by Nederpietos
I received a hotfix from firefox yesterday, but you must have "Allow Firefox to install and run studies" enabled under Privacy & Security in your options to get it (within 24 hours i guess).

Add-onbeheerder.jpg

Re: All extensions disabled

Posted: Sun May 05, 2019 4:30 pm
by Dreamer
I can't enable that option, it's greyed-out.

Re: All extensions disabled

Posted: Sun May 05, 2019 6:59 pm
by Nederpietos
set in about:config --> app.shield.optoutstudies.enabled to true

My hotfix is gone now in the extensions, but you can see at about:studies that it's active.

Re: All extensions disabled

Posted: Tue May 14, 2019 10:38 am
by Victor Delta
Nederpietos wrote:
Sun May 05, 2019 6:59 pm
... but you can see at about:studies that it's active.
How?

Re: All extensions disabled

Posted: Wed May 15, 2019 5:48 pm
by Dreamer
Mozilla releases add-on to fix disabled extensions in older versions of Firefox

http://addons.mozilla.org/en-US/firefox ... fix-61-65/

Tested with Avant Browser 2018 build 7, it works perfect!

I just lost Read Aloud and I miss this extension, anyone know if it's possible to install it manually, or if you have this extension, could you upload the file and provide a link, please?
Nederpietos wrote:
Sun May 05, 2019 1:04 am
For Read aloud you maybe can use this replacement: https://addons.mozilla.org/firefox/addo ... ch-webext/
Now I tried it, but only English language is supported, it's unusable for me. I tried also other TTS extensions, but none of them work, some of them has MS engine, but only 2 English voices are available, even if I have installed other voices.